Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Class ChangeRulerColumn

    java.lang.Object
      org.eclipse.jface.text.source.ChangeRulerColumn

All Implemented Interfaces:
  IChangeRulerColumn, IVerticalRulerColumn, IVerticalRulerInfo, IVerticalRulerInfoExtension

public final class ChangeRulerColumn
extends Object
implements IVerticalRulerColumn, IVerticalRulerInfo, IVerticalRulerInfoExtension, IChangeRulerColumn

A vertical ruler column displaying line numbers and serving as a UI for quick diff. Clients instantiate and configure object of this class.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jface.text.source.IChangeRulerColumn
`QUICK_DIFF_MODEL_ID`

Constructor Summary
`ChangeRulerColumn()`

Method Summary
`void` | `addVerticalRulerListener(IVerticalRulerListener listener)` Registers a vertical ruler listener to be informed if an annotation gets selected on the vertical ruler.
`Control` | `createControl(CompositeRuler parentRuler, Composite parentControl)` Creates the column's SWT control.
`protected Color` | `getBackground(Display display)` Returns the System background color for list widgets.
`Control` | `getControl()` Returns the column's SWT control.
`IAnnotationHover` | `getHover()` Returns the hover for this vertical ruler (column).
`int` | `getLineOfLastMouseButtonActivity()` Returns the line number of the last mouse button activity.
`IAnnotationModel` | `getModel()` Returns the model currently used by the receiver.
`protected CompositeRuler` | `getParentRuler()` Returns the parent (composite) ruler of this ruler column.
`protected int` | `getVisibleLinesInViewport()` Returns the view port height in lines.
`int` | `getWidth()` Returns the width of this column's control.
`protected void` | `handleDispose()` Disposes the column's resources.
`protected void` | `paintLine(int line, int y, int lineheight, GC gc, Display display)`
`protected void` | `postRedraw()` Triggers a redraw in the display thread.
`void` | `redraw()` Redraws this column.
`void` | `removeVerticalRulerListener(IVerticalRulerListener listener)` Removes a previously registered listener.
`void` | `setAddedColor(Color addedColor)` Sets the background color for added lines.
`void` | `setBackground(Color background)` Sets the background color for normal lines.
`void` | `setChangedColor(Color changedColor)` Sets the background color for changed lines.
`void` | `setDeletedColor(Color deletedColor)` Sets the color for the deleted lines indicator.
`void` | `setFont(Font font)` Sets the font of this ruler column.
`void` | `setHover(IAnnotationHover hover)` Sets the hover of this ruler column.
`void` | `setModel(IAnnotationModel model)` Associates an annotation model with this ruler column.
`int` | `toDocumentLineNumber(int y_coordinate)` Translates a y-coordinate of the ruler's SWT control into the according line number of the document of the connected text viewer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeRulerColumn

    public ChangeRulerColumn()

Method Detail

### getBackground

    protected Color getBackground(Display display)

  Returns the System background color for list widgets.

  Parameters:
    `display` - the display the drawing occurs on
  Returns:
    the System background color for list widgets

### createControl

    public Control createControl(CompositeRuler parentRuler,
                                 Composite parentControl)

  Description copied from interface: `IVerticalRulerColumn`
  Creates the column's SWT control.

  Specified by:
    `createControl` in interface `IVerticalRulerColumn`
  Parameters:
    `parentRuler` - the parent ruler of this column
    `parentControl` - the control of the parent ruler
  Returns:
    the column's SWT control

### handleDispose

    protected void handleDispose()

  Disposes the column's resources.

### getVisibleLinesInViewport

    protected int getVisibleLinesInViewport()

  Returns the view port height in lines.

  Returns:
    the view port height in lines

### redraw

    public void redraw()

  Description copied from interface: `IVerticalRulerColumn`
  Redraws this column.

  Specified by:
    `redraw` in interface `IVerticalRulerColumn`

### setFont

    public void setFont(Font font)

  Description copied from interface: `IVerticalRulerColumn`
  Sets the font of this ruler column.

  Specified by:
    `setFont` in interface `IVerticalRulerColumn`
  Parameters:
    `font` - the new font of the ruler column

### getParentRuler

    protected CompositeRuler getParentRuler()

  Returns the parent (composite) ruler of this ruler column.

  Returns:
    the parent ruler
  Since:
    3.0

### paintLine

    protected void paintLine(int line,
                             int y,
                             int lineheight,
                             GC gc,
                             Display display)

### getLineOfLastMouseButtonActivity

    public int getLineOfLastMouseButtonActivity()

  Description copied from interface: `IVerticalRulerInfo`
  Returns the line number of the last mouse button activity. Based on the input document of the connected text viewer. The smallest possible line number is `0`.

  Specified by:
    `getLineOfLastMouseButtonActivity` in interface `IVerticalRulerInfo`
  Returns:
    the line number of the last mouse button activity

### toDocumentLineNumber

    public int toDocumentLineNumber(int y_coordinate)

  Description copied from interface: `IVerticalRulerInfo`
  Translates a y-coordinate of the ruler's SWT control into the according line number of the document of the connected text viewer.

  Specified by:
    `toDocumentLineNumber` in interface `IVerticalRulerInfo`
  Parameters:
    `y_coordinate` - a y-coordinate of the ruler's SWT control
  Returns:
    the line number of that coordinate or `-1` if that coordinate does not correspond to a valid document line

### getHover

    public IAnnotationHover getHover()

  Description copied from interface: `IVerticalRulerInfoExtension`
  Returns the hover for this vertical ruler (column).

  Specified by:
    `getHover` in interface `IVerticalRulerInfoExtension`
  Returns:
    the hover for this column

### setHover

    public void setHover(IAnnotationHover hover)

  Description copied from interface: `IChangeRulerColumn`
  Sets the hover of this ruler column.

  Specified by:
    `setHover` in interface `IChangeRulerColumn`
  Parameters:
    `hover` - the hover that will produce hover information text for this ruler column

### setModel

    public void setModel(IAnnotationModel model)

  Description copied from interface: `IVerticalRulerColumn`
  Associates an annotation model with this ruler column. A value `null` is acceptable and clears the ruler.

  Specified by:
    `setModel` in interface `IVerticalRulerColumn`
  Parameters:
    `model` - the new annotation model, may be `null`

### setBackground

    public void setBackground(Color background)

  Description copied from interface: `IChangeRulerColumn`
  Sets the background color for normal lines. The color has to be disposed of by the caller when the receiver is no longer used.

  Specified by:
    `setBackground` in interface `IChangeRulerColumn`
  Parameters:
    `background` - the new color to be used as standard line background

### setAddedColor

    public void setAddedColor(Color addedColor)

  Description copied from interface: `IChangeRulerColumn`
  Sets the background color for added lines. The color has to be disposed of by the caller when the receiver is no longer used.

  Specified by:
    `setAddedColor` in interface `IChangeRulerColumn`
  Parameters:
    `addedColor` - the new color to be used for the added lines background

### setChangedColor

    public void setChangedColor(Color changedColor)

  Description copied from interface: `IChangeRulerColumn`
  Sets the background color for changed lines. The color has to be disposed of by the caller when the receiver is no longer used.

  Specified by:
    `setChangedColor` in interface `IChangeRulerColumn`
  Parameters:
    `changedColor` - the new color to be used for the changed lines background

### setDeletedColor

    public void setDeletedColor(Color deletedColor)

  Description copied from interface: `IChangeRulerColumn`
  Sets the color for the deleted lines indicator. The color has to be disposed of by the caller when the receiver is no longer used.

  Specified by:
    `setDeletedColor` in interface `IChangeRulerColumn`
  Parameters:
    `deletedColor` - the new color to be used for the deleted lines indicator.

### getModel

    public IAnnotationModel getModel()

  Description copied from interface: `IVerticalRulerInfoExtension`
  Returns the model currently used by the receiver.

  Specified by:
    `getModel` in interface `IVerticalRulerInfoExtension`
  Returns:
    the model of the receiver, or `null` if no model is installed.

### getControl

    public Control getControl()

  Description copied from interface: `IVerticalRulerColumn`
  Returns the column's SWT control.

  Specified by:
    `getControl` in interface `IVerticalRulerColumn`
  Returns:
    the column's SWT control

### getWidth

    public int getWidth()

  Description copied from interface: `IVerticalRulerColumn`
  Returns the width of this column's control.

  Specified by:
    `getWidth` in interface `IVerticalRulerColumn`
  Returns:
    the width of this column's control

### postRedraw

    protected final void postRedraw()

  Triggers a redraw in the display thread.

### addVerticalRulerListener

    public void addVerticalRulerListener(IVerticalRulerListener listener)

  Description copied from interface: `IVerticalRulerInfoExtension`
  Registers a vertical ruler listener to be informed if an annotation gets selected on the vertical ruler.

  Specified by:
    `addVerticalRulerListener` in interface `IVerticalRulerInfoExtension`
  Parameters:
    `listener` - the listener to be informed

### removeVerticalRulerListener

    public void removeVerticalRulerListener(IVerticalRulerListener listener)

  Description copied from interface: `IVerticalRulerInfoExtension`
  Removes a previously registered listener. If `listener` is not registered with the receiver, calling this method has no effect.

  Specified by:
    `removeVerticalRulerListener` in interface `IVerticalRulerInfoExtension`
  Parameters:
    `listener` - the listener to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.